
//---------------------------------------------------
// This class is public domain
// Author: Ugo Chirico
// e-mail: ugos@geocities.com
// Home Page: http://www.geocities.com/ResearchTriangle/3219
// Version 1.0.0
//---------------------------------------------------
public class LightServerException extends Exception
{
	// Attributi del tag <body> della pagina risultante (vedi LightServer)
	private String m_strBodyAttributes;

	// Costruttore 
	public LightServerException(String strMsg, String strBodyAttributes)
	{
		super(strMsg);
		m_strBodyAttributes = strBodyAttributes;
	}

	// Genera una pagina contenente il messaggio dell'eccezione
	public String getMessagePage()
	{
		String strPage = 
			"<head><title>Server Error</title></head>\n "
		 	+ "<body " + m_strBodyAttributes + ">\n" 
		 	+ "<hr>\n"
			+ "<h2 align='center'><strong>" + "The server raised an exception" + "</strong></h2>\n"
			+ "<br>\n"
		 	+ "<p align='center'><strong>The message was: " + getMessage() + "</strong></p>\n"
		 	+ "<hr>\n"
		 	+ "</body>";

		 return strPage;
	}
}